# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)


## v4.19.20
  - 323e0195e63f Linux 4.19.20
  - c0be624777ba cifs: Always resolve hostname before reconnecting
  ACK: pavel -- already reviewed in 4.4.173
  - e7f11c55ad60 md/raid5: fix 'out of memory' during raid cache recovery
  - 5b3109eb89dd of: overlay: do not duplicate properties from overlay for new nodes
  - 7251e4b835ea of: overlay: use prop add changeset entry for property in new nodes
  - 9af27fab0061 of: overlay: add missing of_node_get() in __of_attach_node_sysfs
  - 5006496fb2c8 of: overlay: add tests to validate kfrees from overlay removal
  - 3edc2fac969a of: Convert to using %pOFn instead of device_node.name
  - 214dea147ffa mm: migrate: don't rely on __PageMovable() of newpage after unlocking it
  ACK: pavel -- already reviewed in 4.4.173
  - ced41d9d6a1b mm: hwpoison: use do_send_sig_info() instead of force_sig()
  - b6f534ab695b mm, oom: fix use-after-free in oom_kill_process
  ACK: pavel -- already reviewed in 4.4.173
  - d9f4d88d567e mm,memory_hotplug: fix scan_movable_pages() for gigantic hugepages
  - 7e70ddc33279 oom, oom_reaper: do not enqueue same task twice
  - 15033ca6bd13 mm/hugetlb.c: teach follow_hugetlb_page() to handle FOLL_NOWAIT
  - c7122344f915 kernel/exit.c: release ptraced tasks before zap_pid_ns_processes
  ACK: pavel -- already reviewed in 4.4.173
  - 9ee5987f311f btrfs: On error always free subvol_name in btrfs_mount
  - 5bce143671f3 Btrfs: fix deadlock when allocating tree block during leaf/node split
  - 50a874a4aa28 mmc: sdhci-iproc: handle mmc_of_parse() errors during probe
  ACK: pavel -- already reviewed in 4.4.173
  - 8a32f086ff7e platform/x86: asus-nb-wmi: Drop mapping of 0x33 and 0x34 scan codes
  ACK: pavel -- already reviewed in 4.4.173
  - 734f06f5a701 platform/x86: asus-nb-wmi: Map 0x35 to KEY_SCREENLOCK
  pavel -- already reviewed in 4.4.173
  - 71ff3384d1fb IB/hfi1: Remove overly conservative VM_EXEC flag check
  - 1ac48dafac4b ALSA: hda/realtek - Fixed hp_pin no value
  - eaf53ee6fba7 ALSA: usb-audio: Add Opus #3 to quirks for native DSD support
  - 9f753f62f6fa mmc: mediatek: fix incorrect register setting of hs400_cmd_int_delay
  - 65be3226f0e5 mmc: bcm2835: Fix DMA channel leak on probe error
  - 8b9be9db8a2a gfs2: Revert "Fix loop in gfs2_rbm_find"
  ACK: pavel -- already reviewed in 4.4.173
  - 83c22cd104b2 gpio: sprd: Fix incorrect irq type setting for the async EIC
  - 3a4a800bf519 gpio: sprd: Fix the incorrect data register
  - 95fcc1427d7f gpio: pcf857x: Fix interrupts on multiple instances
  - 452ad274c926 gpiolib: fix line event timestamps for nested irqs
  - ade5ad6b4ad6 gpio: altera-a10sr: Set proper output level for direction_output
  - ad6615b15537 arm64: hibernate: Clean the __hyp_text to PoC after resume
  - f40ebe14b971 arm64: hyp-stub: Forbid kprobing of the hyp-stub
  ACK: pavel -- already reviewed in 4.4.173
  - 520036320530 arm64: Do not issue IPIs for user executable ptes
  - a4f42f7b0121 arm64: kaslr: ensure randomized quantities are clean also when kaslr is off
  - 26d15be4abc0 ARM: cns3xxx: Fix writing to wrong PCI config registers after alignment
  ACK: pavel -- already reviewed in 4.4.173
  - 0a3275d78585 NFS: Fix up return value on fatal errors in nfs_page_async_flush()
  - 0fb0acc0dd86 selftests/seccomp: Enhance per-arch ptrace syscall skip tests
  - 7e3251667a1f iommu/vt-d: Fix memory leak in intel_iommu_put_resv_regions()
  - bb4e1ff5a8dd fs/dcache: Fix incorrect nr_dentry_unused accounting in shrink_dcache_sb()
  ACK: pavel -- already reviewed in 4.4.173
  - e9d56f920bb2 CIFS: Do not consider -ENODATA as stat failure for reads
  - 6e7045ec336b CIFS: Fix trace command logging for SMB2 reads and writes
  - c6961288a5f4 CIFS: Do not count -ENODATA as failure for query directory
  ACK: pavel -- already reviewed in 4.4.173
  - fbb49172cd4f virtio_net: Differentiate sk_buff and xdp_frame on freeing
  - ed6a5fc89e48 virtio_net: Use xdp_return_frame to free xdp_frames on destroying vqs
  - 05e260f9d02a virtio_net: Don't process redirected XDP frames when XDP is disabled
  - 0921dd505d30 virtio_net: Fix out of bounds access of sq
  - d97117bd077d virtio_net: Fix not restoring real_num_rx_queues
  - 4c2e63dc6452 virtio_net: Don't call free_old_xmit_skbs for xdp_frames
  - b6862baa3c88 virtio_net: Don't enable NAPI when interface is down
  - 37b34a91f346 sctp: set flow sport from saddr only when it's 0
  - cbf23d40cece sctp: set chunk transport correctly when it's a new asoc
  - a188f5685965 Revert "net/mlx5e: E-Switch, Initialize eswitch only if eswitch manager"
  - 505e5f3d4623 ip6mr: Fix notifiers call on mroute_clean_tables()
  - 50990a4085f2 net/mlx5e: Allow MAC invalidation while spoofchk is ON
  - 4ec13999d363 sctp: improve the events for sctp stream adding
  - 9f7d849beaae net: ip6_gre: always reports o_key to userspace
  - aafe74b72689 vhost: fix OOB in get_rx_bufs()
  - d0773852a7a3 ucc_geth: Reset BQL queue when stopping device
  ACK: pavel -- already reviewed in 4.4.173
  - dace52749243 tun: move the call to tun_set_real_num_queues
  - e569927a1375 sctp: improve the events for sctp stream reset
  - 4fae696cdad1 ravb: expand rx descriptor data to accommodate hw checksum
  - 5f1a18e05b07 net: set default network namespace in init_dummy_netdev()
  - fc4154c7a39e net/rose: fix NULL ax25_cb kernel panic
  ACK: pavel -- already reviewed in 4.4.173
  - 2c6b572458a9 netrom: switch to sock timer API
  ACK: pavel -- already reviewed in 4.4.173
  - 00865891898e net/mlx4_core: Add masking for a few queries on HCA caps
  ACK: pavel -- already reviewed in 4.4.173
  - 0a198e0bb8be net: ip_gre: use erspan key field for tunnel lookup
  - 897ea28bd2f9 net: ip_gre: always reports o_key to userspace
  - 8de676664e59 l2tp: fix reading optional fields of L2TPv3
  ACK: pavel -- already reviewed in 4.4.173
  - 3d418a254df1 l2tp: copy 4 more bytes to linear part if necessary
  ACK: pavel -- already reviewed in 4.4.173
  - fcc9c69a6ed7 ipvlan, l3mdev: fix broken l3s mode wrt local routes
  - 2f704348c93f ipv6: sr: clear IP6CB(skb) on SRH ip4ip6 encapsulation
  - 7e9a6476aaf5 ipv6: Consider sk_bound_dev_if when binding a socket to an address
  ACK: pavel -- already reviewed in 4.4.173
  - 8877843b3b9f drm/msm/gpu: fix building without debugfs
  - 8c763a3cf502 Fix "net: ipv4: do not handle duplicate fragments as overlapping"
